import { get, put, post, deletes } from '@/http/index'

// 查询架次列表
export const getSortie = async (data) => {
  return await get('/als/sortie/list', data)
}

// 新增架次
export const addSortie = async (data) => {
  return await post('/als/sortie', data)
}

// 修改架次
export const updateSortie = async (data) => {
  return await put('/als/sortie', data)
}

// 删除架次
export const removeSortie = async (id) => {
  return await deletes('/als/sortie/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
